<div class="sidebar-content">
  <div class="sidebar-brand">
    <a href="#">MVC Todo</a>
    <div id="close-sidebar" (click)="toogleSidebar()">
      <i class="fas fa-times"></i>
    </div>
  </div>
  <div class="sidebar-header">
    <div class="user-pic">
      <label for="avatar">
        <img class="img-responsive img-rounded"
          src={{currentUrl}}{{currentUser.user.avatarUrl}}
          alt="User picture" style="height: 56px; cursor: pointer;">
        <input type="file" id="avatar" name="avatar" (change)="uploadAvatar($event.target.files[0])" style="display: none;" accept="image/*" />
      </label>
    </div>
    <div class="user-info">
      <span class="user-name">{{currentUser.user.firstname}}
        <strong>{{currentUser.user.lastname}}</strong>
      </span>
      <span class="user-role">Administrator</span>
      <span class="user-status">
        <i class="fa fa-circle"></i>
        <span>Online</span>
      </span>
    </div>
  </div>
  <!-- sidebar-header  -->
  <div class="sidebar-search">
    <div>
      <div class="input-group">
        <input type="text" class="form-control search-menu" placeholder="Search...">
        <div class="input-group-append">
          <span class="input-group-text">
            <i class="fa fa-search" aria-hidden="true"></i>
          </span>
        </div>
      </div>
    </div>
  </div>
  <!-- sidebar-search  -->
  <div class="sidebar-menu">
    <ul>
      <li class="header-menu">
        <span>General</span>
      </li>
      <li class="sidebar-dropdown">
        <a>
          <i class="fa fa-tachometer-alt"></i>
          <span>Dashboard</span>
          <span class="badge badge-pill badge-warning">New</span>
        </a>
        <div class="sidebar-submenu">
          <ul>
            <li class="sidebar-item">
              <a routerLink="/todo-list">Todo
                <span class="badge badge-pill badge-success">Pro</span>
              </a>
            </li>
            <li class="sidebar-item">
              <a>Dashboard 2</a>
            </li>
            <li class="sidebar-item">
              <a>Dashboard 3</a>
            </li>
          </ul>
        </div>
      </li>
      <li class="sidebar-dropdown">
        <a href="#">
          <i class="fa fa-shopping-cart"></i>
          <span>E-commerce</span>
          <span class="badge badge-pill badge-danger">3</span>
        </a>
        <div class="sidebar-submenu">
          <ul>
            <li class="sidebar-item">
              <a href="#">Products

              </a>
            </li>
            <li class="sidebar-item">
              <a href="#">Orders</a>
            </li>
            <li class="sidebar-item">
              <a href="#">Credit cart</a>
            </li>
          </ul>
        </div>
      </li>
      <li class="sidebar-dropdown">
        <a href="#">
          <i class="far fa-gem"></i>
          <span>Components</span>
        </a>
        <div class="sidebar-submenu">
          <ul>
            <li class="sidebar-item">
              <a href="#">General</a>
            </li>
            <li class="sidebar-item">
              <a href="#">Panels</a>
            </li>
            <li class="sidebar-item">
              <a href="#">Tables</a>
            </li>
            <li class="sidebar-item">
              <a href="#">Icons</a>
            </li>
            <li class="sidebar-item">
              <a href="#">Forms</a>
            </li>
          </ul>
        </div>
      </li>
      <li class="sidebar-dropdown">
        <a href="#">
          <i class="fa fa-chart-line"></i>
          <span>Charts</span>
        </a>
        <div class="sidebar-submenu">
          <ul>
            <li class="sidebar-item">
              <a href="#">Pie chart</a>
            </li>
            <li class="sidebar-item">
              <a href="#">Line chart</a>
            </li>
            <li class="sidebar-item">
              <a href="#">Bar chart</a>
            </li>
            <li class="sidebar-item">
              <a href="#">Histogram</a>
            </li>
          </ul>
        </div>
      </li>
      <li class="sidebar-dropdown">
        <a href="#">
          <i class="fa fa-globe"></i>
          <span>Maps</span>
        </a>
        <div class="sidebar-submenu">
          <ul>
            <li class="sidebar-item">
              <a href="#">Google maps</a>
            </li>
            <li class="sidebar-item">
              <a href="#">Open street map</a>
            </li>
          </ul>
        </div>
      </li>
      <li class="header-menu">
        <span>Extra</span>
      </li>
      <li>
        <a href="#">
          <i class="fa fa-book"></i>
          <span>Documentation</span>
          <span class="badge badge-pill badge-primary">Beta</span>
        </a>
      </li>
      <li>
        <a href="#">
          <i class="fa fa-calendar"></i>
          <span>Calendar</span>
        </a>
      </li>
      <li>
        <a href="#">
          <i class="fa fa-folder"></i>
          <span>Examples</span>
        </a>
      </li>
      <li class="header-menu" *ngIf="currentUser.user.role === 1">
        <span>Settings</span>
      </li>
      <li *ngIf="currentUser.user.role === 1">
        <a routerLink="/setting-members">
          <i class="fa fa-user"></i>
          <span>Members</span>
        </a>
      </li>
    </ul>
  </div>
  <!-- sidebar-menu  -->
</div>
<!-- sidebar-content  -->
<div class="sidebar-footer">
  <a href="#">
    <i class="fa fa-bell"></i>
    <span class="badge badge-pill badge-warning notification">3</span>
  </a>
  <a href="#">
    <i class="fa fa-envelope"></i>
    <span class="badge badge-pill badge-success notification">7</span>
  </a>
  <a href="#" title="Setting">
    <i class="fa fa-cog"></i>
    <span class="badge-sonar"></span>
  </a>
  <a (click)="logout()" title="Logout">
    <i class="fa fa-power-off"></i>
  </a>
</div>
